﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace WpfApp1
{
    public class ArtikelViewModel : ViewModelBase
    {
        public DelisModel delisModel;               

        public string Seriennummer
        {
            get { return delisModel.Seriennummer; }
            set {
                delisModel.Seriennummer = value;
                RaisePropertyChanged();
            }
        }
        
        public string Artikelnummer
        {
            get { return delisModel.Artikelnummer; }
            set
            {
                delisModel.Artikelnummer = value;
                RaisePropertyChanged();
            }
        }
              
        public string Vertriebsauftragsnummer
        {
            get { return delisModel.Vertriebsauftragsnummer; }
            set
            {
                delisModel.Vertriebsauftragsnummer = value;
                RaisePropertyChanged();
            }
        }

        public string Artikelbenennung
        {
            get { return delisModel.Artikelbenennung; }
            set
            {
                delisModel.Artikelbenennung = value;
                RaisePropertyChanged();
            }
        }

        private bool _isSelected;

        public bool IsSelected
        {
            get { return _isSelected; }
            set {
                _isSelected = value; 
                RaisePropertyChanged();
                }
        }


        public ArtikelViewModel()
        {
            delisModel = new DelisModel();
        }

        public ArtikelViewModel(DelisModel delis)
        {
            delisModel = delis;
        }

       
    }
}
